Issue 68640

Summary: [DE] Bad layout of Options dialog, text truncated on some systems
Product: General Reporter: ronnystandtke <ronny.standtke>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: ccheney, dolmen, issues, rainerbielefeld_ooo_qa, uwefis
Version: OOo 2.0.3Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Screenshot showing cut-off button border in Options dialog
none
Screenshot showing a cut off checkbox description in options dialog
none
Screen capture of the Langues dialog in french, showing the layout problem none

Description ronnystandtke 2006-08-15 11:53:18 UTC
I use OOo(German) under Linux and the layout of the Options dialog 
(Extras->Optionen...) is broken at two places. I will attach screenshots.
Comment 1 ronnystandtke 2006-08-15 11:54:28 UTC
Created attachment 38527 [details]
Screenshot showing cut-off button border in Options dialog
Comment 2 ronnystandtke 2006-08-15 11:55:39 UTC
Created attachment 38528 [details]
Screenshot showing a cut off checkbox description in options dialog
Comment 3 Rainer Bielefeld 2006-08-15 14:37:51 UTC
@ronnystandtke:
I don't think that something broken is shown in 'Sicherheit.png!,
"Makrosicherheit..." is the correct text for this.

Concerning 'Sprachen.png'
I checked with "2.0.2  German version WIN XP: [680m5(Build9011)]" and can also
see the problem: 
In Menu (German...) "Extras - Optionen - Spracheinstellungen - Sprachen" in line
"Dezimaltrennertaste" the description for the checkbox is truncated, only "( ,"
is shown instead of "( , )". 
This is  only a problem in the German translation (too long), looks fine in
English version.

This problem should be fixed (Linux only?) due to Issue 48575 ?


@ufi
btw., I believe that "decimal separator" (and so translated "Dezimaltrenner") is
more common than "decimal separator key" (and so "Dezimaltrennertaste). What do
you think?
Comment 4 Uwe Fischer 2006-08-15 15:11:48 UTC
the screenshots look unfamiliar. Please have a look at "Use system font for user
interface" in Tools-Options-OOo-View and if a replacement font is in use at
Tools-Options-OOo-Fonts.
The "decimal separator" is the sign or character used as the decimal separator
on screen, while the "decimal separator key" is the key on the keyboard that has
either a , or a . written on it. The mapping is done by the system and by the
setting of OOo Options dialog.
Comment 5 ronnystandtke 2006-08-15 16:03:25 UTC
> I don't think that something broken is shown in 'Sicherheit.png!, 
> "Makrosicherheit..." is the correct text for this.

The attachment description says it: "Screenshot showing cut-off button 
border". The problem is not the text but the cut-off button border (at the 
bottom).

> This is only a problem in the German translation (too long), looks fine in 
> English version.

I am doing localizations for several other projects and translations can not 
be "too long" or "too short". Dynamic GUI layouts are now available for more 
than 10 years and just adopt to the translated string lengths of the current 
locale. If anything is broken here its not the German translation but the 
dialog layout that is maybe(?) using fixed coordinates or is not dynamic at 
all.

> the screenshots look unfamiliar.

This is OOo-2.0.3 under Debian Linux with the KDE desktop.

> Please have a look at "Use system font for user interface" in 
> Tools-Options-OOo-View and if a replacement font is in use at
> Tools-Options-OOo-Fonts.

The "Use system font for user interface" checkbox is selected. Font 
replacement is not in use.
Comment 6 stefan.baltzer 2006-08-25 16:21:19 UTC
SBA: First and most important: ONE PROBLEM = ONE ISSUE!

Yes, it IS tempting to mention seemingly connected problems (...within the same
dialog...) within one issue. But this way we would mutate the issue tracker to
an ieffective discussion forum. There are other tools to do so, i.e. mail aliases.

So we will focus on the decimal seperator string thingie and disregard all other
mentioned problems within this issue. 
If someone feels like writing seperate issues for the other stuff, please go
ahead and write more issues. (...Makrosicherheit button border: != Prio P5, and
no Problem on Suse 9.4 with GNOME desktop...) 

Back to the subject:
Experience tells that English is hardly ever a problem concerning string length.
Spanish, French and Portuguese are more likely to have longer strings. No, there
is no official statistic for this, but it was adressed by "squeezing the UI
strings a little" for some languages. 

It can be seen for this very string in French: 
"Identique à l'environnement linguistique (,)" is LONGER than the German
"Dem Gebietsschema entsprechend (,)". But on the same machine there is MORE
space left after the brackets with the French UI.

But since there is no space left, it is clear that a system font of other Linux
distributions that is slightly larger will cause the problem that can be seen in
the screenshot "Sprachen.png".

Summarized:
 - A workaround is to apply font replacement so that a slightly thinner
no-serif-font is used for UI
 - Changed the Prio to P4 as it does not affect all languages and all systems alike
 - Set target to "OOo later" because there is bigger fish to catch at times and
in the near future for OS. (Note: OOo community developers are invited to fix
the things SUN developers do not have ressources for)
I corrected the summary to reflect the findings.

-> OS: Please proceed.
Comment 7 ronnystandtke 2006-08-26 18:16:40 UTC
> SBA: First and most important: ONE PROBLEM = ONE ISSUE!

No reason to shout here. This issue deals with exactly one problem (broken 
layout) and shows two symptoms of this problem.

> it was adressed by "squeezing the UI strings a little" for some languages.

Fighting symptoms is the wrong way to deal with a problem. You should fix the 
layout of the dialog by not using fixed positions and dimensions but use a 
dynamic layout that automatically adopts to translated string lenghts, chosen 
fonts or dialog size changes. Then you don't need to "fix" translations 
anymore.

> there is bigger fish to catch at times and in the near future for OS

The problem does not disappear just because you ignore it. By not fixing the 
problem you will notice its symptoms again and again.

You need to think longterm.
Comment 8 dolmen 2008-02-02 15:04:46 UTC
*******
It can be seen for this very string in French: 
"Identique à l'environnement linguistique (,)" is LONGER than the German
"Dem Gebietsschema entsprechend (,)". But on the same machine there is MORE
space left after the brackets with the French UI.
*******

On Ubuntu 7.10, french locale (fr_FR.UTF-8) the important part of the string is
missing too. See screenshot.

So this issue applies to french in addition to german.
Comment 9 dolmen 2008-02-02 15:06:35 UTC
Created attachment 51327 [details]
Screen capture of the Langues dialog in french, showing the layout problem
Comment 10 dolmen 2008-02-02 15:20:03 UTC
I've reported the french version of the bug in Ubuntu as bug 188357
https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/188357

Combined to the fact the Ubuntu keymap for french users is broken (Ubuntu bug
188342) and so by default the numpad does not gives a comma (the famous OOo
issue 1820), this setting has a major importance for french Ubuntu users, even
if it will not solve the keymap problem.
Comment 11 dolmen 2008-02-02 15:20:42 UTC
added cc
Comment 12 andreschnabel 2008-11-15 16:31:17 UTC
taking over

@sophi: schould we send this to framework project or deal with this in our
translation?

I could at least provide a shorter string for the "decimal separator" what do
you think?
Comment 13 andreschnabel 2008-11-23 15:37:07 UTC
reassigned to framework.

reset to P3 again - at tleast the string for decimal separator is cut in way so
that the functionality of the option cannot be understood by the user.
Comment 14 dolmen 2011-02-15 07:21:42 UTC
This is fixed in OpenOffice.org 3.2 on Ubuntu, at least for locale fr_FR.